Subject: Re: bug#46837: Makefile dependencies for info files

From: Glenn Morris <[email-masked]>
Date: Fri, 05 Mar 2021 14:23:26 -0500

Eli Zaretskii wrote:

> So the poor souls who don't have makeinfo could "touch info/emacs.info"
> and have the build continue instead of failing?  If this works, I
> think it's a fine solution.  It would be even better if the advice to
> "touch info/emacs.info" would be included in the error message printed
> when we find no makeinfo.

I would not recommend that, which in any case would only get past the
configure step, leaving make to fail. Instead I would recommend
installing makeinfo, which is widely available and where even an
ancient version will do.